# List conversations This operation lists all conversations that are associated with an app and/or a contact. Note that either app_id or contact_id is required in order for the operation to function correctly. Endpoint: GET /v1/projects/{project_id}/conversations Version: 1.0 Security: Basic, oAuth2 ## Path parameters: - `project_id` (string, required) The unique ID of the project. You can find this on the Sinch Dashboard. ## Query parameters: - `app_id` (string) The ID of the app involved in the conversations. - `contact_id` (string) Resource name (ID) of the contact. - `only_active` (boolean) Set to true to list only active conversations. Set to false to list only inactive conversations. - `page_size` (integer) The maximum number of conversations to fetch. Defaults to 10 and the maximum is 20. - `page_token` (string) Next page token previously returned if any. - `active_channel` (string) Only fetch conversations from the active_channel Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC" ## Response 200 fields (application/json): - `conversations` (array) List of conversations matching the search query. - `conversations.active` (boolean) Flag for whether this conversation is active. - `conversations.active_channel` (string) The identifier of the channel you want to include. Must be one of the enum values. Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC" - `conversations.app_id` (string) The ID of the participating app. - `conversations.contact_id` (string) The ID of the participating contact. - `conversations.metadata_json` (object) Arbitrary data set by the Conversation API clients and/or provided in the conversation_metadata field of a SendMessageRequest. A valid JSON object. - `conversations.correlation_id` (string) Arbitrary correlation ID related to the MT message set by the Conversation API user. - `conversations.id` (string) The ID of the conversation. - `conversations.last_received` (string) The timestamp of the latest message in the conversation. The timestamp will be Thursday January 01, 1970 00:00:00 UTC if the conversation contains no messages. - `conversations.metadata` (string) Arbitrary data set by the Conversation API clients. Up to 1024 characters long. NOTE: This field has been deprecated due to changes in the system architecture or functionality. It is no longer actively maintained and may be removed in future versions. Please avoid relying on this field in new code. - `next_page_token` (string) Token that should be included in the next request to fetch the next page. - `total_size` (integer) ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 403 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string) ## Response 501 fields (application/json): - `error` (object) - `error.code` (integer) - `error.details` (array) - `error.details.type_url` (string) - `error.details.value` (string) - `error.message` (string) - `error.status` (string)